import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderCreateNestedManyWithoutParentInputObjectSchema as CloudFolderCreateNestedManyWithoutParentInputObjectSchema } from './CloudFolderCreateNestedManyWithoutParentInput.schema';
import { UserCreateNestedOneWithoutCloudFoldersInputObjectSchema as UserCreateNestedOneWithoutCloudFoldersInputObjectSchema } from './UserCreateNestedOneWithoutCloudFoldersInput.schema';
import { PatientCreateNestedOneWithoutCloudFoldersInputObjectSchema as PatientCreateNestedOneWithoutCloudFoldersInputObjectSchema } from './PatientCreateNestedOneWithoutCloudFoldersInput.schema';
import { CloudFileCreateNestedManyWithoutFolderInputObjectSchema as CloudFileCreateNestedManyWithoutFolderInputObjectSchema } from './CloudFileCreateNestedManyWithoutFolderInput.schema'

const makeSchema = () => z.object({
  name: z.string(),
  createdAt: z.coerce.date().optional(),
  updatedAt: z.coerce.date().optional(),
  children: z.lazy(() => CloudFolderCreateNestedManyWithoutParentInputObjectSchema).optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutCloudFoldersInputObjectSchema),
  patient: z.lazy(() => PatientCreateNestedOneWithoutCloudFoldersInputObjectSchema).optional(),
  files: z.lazy(() => CloudFileCreateNestedManyWithoutFolderInputObjectSchema).optional()
}).strict();
export const CloudFolderCreateWithoutParentInputObjectSchema: z.ZodType<Prisma.CloudFolderCreateWithoutParentInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderCreateWithoutParentInput>;
export const CloudFolderCreateWithoutParentInputObjectZodSchema = makeSchema();
